package com.carrotsearch.hppc.cursors;


/**
 * A cursor over entries of an associative container (byte keys and VType values).
 */
 @javax.annotation.Generated(date = "2011-05-01T23:25:07+0200", value = "HPPC generated from: ByteObjectCursor.java") 
public final class ByteObjectCursor<VType>
{
    /**
     * The current key and value's index in the container this cursor belongs to. The meaning of
     * this index is defined by the container (usually it will be an index in the underlying
     * storage buffer).
     */
    public int index;

    /**
     * The current key.
     */
    public byte key;

    /**
     * The current value.
     */
    public VType value;
}
