package com.carrotsearch.hppc;

/**
 * Marker interface for containers that can check if they contain a given object in
 * at least time <code>O(log n)</code> and ideally in amortized 
 * constant time <code>O(1)</code>.
 */
 @javax.annotation.Generated(date = "2011-05-01T23:25:08+0200", value = "HPPC generated from: DoubleLookupContainer.java") 
public interface DoubleLookupContainer extends DoubleContainer
{
    public boolean contains(double e);
}
